package net.keil.openFileView;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Retrieve properties from resource bundle
 */
public class Resources {

	private static final String BUNDLE_NAME = "net.keil.openFileView.resources"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE =
		ResourceBundle.getBundle(BUNDLE_NAME);

	/**
	 * 
	 */
	private Resources() {}

	/**
	 * @param key
	 * @return
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
