/**
 * 
 */
package net.keil.openFileView.views;

import net.keil.openFileView.util.OpenFileItem;

import org.eclipse.jface.viewers.ArrayContentProvider;
import org.eclipse.jface.viewers.Viewer;

class ViewContentProvider extends ArrayContentProvider {
	/**
	 * 
	 */
	private final OpenFileView view;

	/**
	 * Constructor<br />
	 */
	public ViewContentProvider(OpenFileView view) {
		this.view = view;
		this.view.updateElements();
	}
	
	public void inputChanged(Viewer v, Object oldInput, Object newInput) {
	}
	public void dispose() {
	}
	
	public Object[] getElements(Object parent) {
		Object[] objects = view.getCache().values().toArray();
		Object[] retItems = new Object[objects.length];
		for (int i = 0; i < objects.length; i++) {
			OpenFileItem item = (OpenFileItem) objects[i];
			Object[] content = new Object[3];
			content[0] = new Integer(0);
			content[1] = item;
			content[2] = item;
			retItems[i] = content;
		}
//		return view.getCache().values().toArray();
		return retItems;
	}
}